PagerProcessor (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.pager.PagerProcessor interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.pager
Interface PagerProcessor

All Known Subinterfaces:
  PagerProcessorExt

All Known Implementing Classes:
  AppdefPagerProc, DefaultPagerProcessor, PagerProcessor_ai_history, PagerProcessor_ai_schedule, PagerProcessor_aiplatform, PagerProcessor_aiplatform_excludePlaceholders, PagerProcessor_app, PagerProcessor_control_history, PagerProcessor_control_schedule, PagerProcessor_events, PagerProcessor_operation, PagerProcessor_ownedResourceGroup, PagerProcessor_ownedRole, PagerProcessor_platform, PagerProcessor_resourceGroup, PagerProcessor_role, PagerProcessor_server, PagerProcessor_service, PagerProcessor_subject, UpcaseProcessor

    public interface PagerProcessor

Provides a point of extensibility in the paging behavior. If you supply a PagerProcessor when you get a Pager, then that processor will be called to process each element as the pager moves it from the source collection to the destination collection.

Method Summary
`java.lang.Object` | `processElement(java.lang.Object o)` Process an element as the pager moves it from the source collection to the destination collection.

Method Detail

### processElement

    java.lang.Object processElement(java.lang.Object o)

  Process an element as the pager moves it from the source collection to the destination collection.

  Parameters:
    `o` - The object to process.
  Returns:
    The processed object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.